.check_flag form {
    display: flex;
    width: 100%;
    overflow: hidden;
}

.check_flag-input_container {
    position: relative;
    flex-grow: 1;
}

.check_flag-button, .check_flag-input {
    border: none;
    padding: 10pt;
    font-size: 1.1em;
}

.check_flag-input:focus {
    outline: none;
}

.check_flag-input, .check_flag-message {
    width: 100%;
    box-sizing: border-box;
}

.check_flag-input--valid {
    color: #29c87c;
}

.check_flag-button {
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: right;
}

.check_flag-button svg {
    height: 1.1em;
    margin: 0 5pt;
}

.check_flag-message {
    position: absolute;
    margin: 0;
    padding: 10pt;
    top: 0;
    transition: top 0.7s ease;
    display: block;
}

.check_flag-message[hidden] {
    top: calc(-1.1em - 25pt);
}

.check_flag-message--success {
    background-color: #29c87c;
}

.check_flag-message--failure {
    background-color: #ed5153;
    color: white;
}
